%global momorel 10
%global modname String-CRC32

Summary: String-CRC32 - perl module to generate checksums from strings and from files.
Name: perl-String-CRC32
Version: 1.4
Release: %{momorel}m%{?dist}
Source0: http://www.cpan.org/modules/by-module/String/%{modname}-%{version}.tar.gz 
NoSource: 0
License: GPL
URL: http://www.cpan.org/modules/by-module/String/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group: Development/Languages
BuildRequires: perl >= 5.8.7

%description
The checksums are the same as those calculated by ZMODEM, PKZIP, PICCHECK
and many others.
There's another perl module called String::CRC which allows to calculate
not only 32 bit CRC numbers, but the generated sums differ from those of
the programs mentioned above.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/String/CRC32/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc MANIFEST README
%dir %{perl_vendorarch}/String
%dir %{perl_vendorarch}/auto/String/CRC32
%{perl_vendorarch}/String/CRC32.*
%{perl_vendorarch}/auto/String/CRC32/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-10m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-9m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-8m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4-6m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4-2m)
- use vendor

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.4-1m)
- update to 1.4

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.3-3m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.3-2m)
- remove unwanted file (.packlist)

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.3-1m)
- initial import to Momonga Linux
